Package ru.bitel.bgbilling.kernel.integration.server.bean

# Class Register

java.lang.Object
ru.bitel.bgbilling.kernel.integration.server.bean.Register

    public class Register
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `CHARGE_REGISTER` |
  `static int` | `PAYMENT_REGISTER` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Register()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Date` | `getDate()` |
  `int` | `getErrorCount()` |
  `int` | `getId()` |
  `java.lang.String` | `getLoadLog()` |
  `java.util.Calendar` | `getLoadTime()` |
  `java.lang.String` | `getPatternTitle()` |
  `java.util.Calendar` | `getProcessTime()` |
  `int` | `getRegisterType()` |
  `int` | `getStringsCount()` |
  `java.math.BigDecimal` | `getSumm()` |
  `java.lang.String` | `getTitle()` |
  `boolean` | `isProcessed()` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setErrorCount​(int errorCount)` |
  `void` | `setId​(int id)` |
  `void` | `setLoadLog​(java.lang.String loadLog)` |
  `void` | `setLoadTime​(java.util.Calendar loadTime)` |
  `void` | `setPatternTitle​(java.lang.String patternTitle)` |
  `void` | `setProcessed​(boolean processed)` |
  `void` | `setProcessTime​(java.util.Calendar processTime)` |
  `void` | `setRegisterType​(int registerType)` |
  `void` | `setStringsCount​(int stringsCount)` |
  `void` | `setSumm​(java.math.BigDecimal summ)` |
  `void` | `setTitle​(java.lang.String title)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PAYMENT_REGISTER

    public static final int PAYMENT_REGISTER
    See Also:
      Constant Field Values

  - ### CHARGE_REGISTER

    public static final int CHARGE_REGISTER
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Register

    public Register()

- ## Method Details

  - ### getRegisterType

    public int getRegisterType()

  - ### setRegisterType

    public void setRegisterType​(int registerType)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### isProcessed

    public boolean isProcessed()

  - ### setProcessed

    public void setProcessed​(boolean processed)

  - ### getProcessTime

    public java.util.Calendar getProcessTime()

  - ### setProcessTime

    public void setProcessTime​(java.util.Calendar processTime)

  - ### getLoadTime

    public java.util.Calendar getLoadTime()

  - ### setLoadTime

    public void setLoadTime​(java.util.Calendar loadTime)

  - ### getStringsCount

    public int getStringsCount()

  - ### setStringsCount

    public void setStringsCount​(int stringsCount)

  - ### getErrorCount

    public int getErrorCount()

  - ### setErrorCount

    public void setErrorCount​(int errorCount)

  - ### getSumm

    public java.math.BigDecimal getSumm()

  - ### setSumm

    public void setSumm​(java.math.BigDecimal summ)

  - ### getLoadLog

    public java.lang.String getLoadLog()

  - ### setLoadLog

    public void setLoadLog​(java.lang.String loadLog)

  - ### getPatternTitle

    public java.lang.String getPatternTitle()

  - ### setPatternTitle

    public void setPatternTitle​(java.lang.String patternTitle)